%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-zc.buildout
Version:        1.4.3
Release:        1%{?dist}
Summary:        System for managing Python development build outs

Group:          Development/Languages
License:        ZPLv2.1     
URL:            http://pypi.python.org/pypi/zc.buildout
Source0:        http://pypi.python.org/packages/source/z/zc.buildout/zc.buildout-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel, python-setuptools

%description
The Buildout project provides support for creating applications,
especially Python applications. It provides tools for assembling 
applications from multiple parts, Python or otherwise. An application
may actually contain multiple programs, processes, and configuration
settings.

%prep
%setup -q -n zc.buildout-%{version}


%build
# Remove CFLAGS=... for noarch packages (unneeded)
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
# Remove random README.txt
%{__rm} -f $RPM_BUILD_ROOT/usr/README.txt

 
%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES.txt PKG-INFO README.txt todo.txt doc specifications
%{_bindir}/buildout
%{python_sitelib}/*


%changelog
* Sat Jun 19 2010 Jonathan Steffan <jsteffan@fedoraproject.org> - 1.4.3-1
- Update to 1.4.3

* Mon Sep 7 2009 Jonathan Steffan <jsteffan@fedoraproject.org> - 1.4.1-1
- Initial package

